#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,q,x[100],y[100],z[100],b[100],p,med;


    //unos broja scenarija
    scanf("%d",&n);

    for(int i=0;i<n;i++){
        //upis medijane za scenarije
        scanf("%d %d",&x[i]);
    }
    for(int i=0;i<n;i++){
    for(int j=0;j<n;j++){
        //upis svih glasova u kutiji
        scanf("%d",&x[j]);
    }
    }
    for(int i=0;i<n-1;i++){
    for(int j=i+1;j<n;j++){
        //sort
        if(x[j]<x[i]){
            p=x[i];
            x[i]=x[j];
            x[j]=p;
        }
    }
    }
    if(n%2 == 0)
        med = (x[(n-1)/2] + x[n/2])/2;

    else
        med = x[n/2];



    if(med!=x){
        x=x+10000;
    }
printf("%d",x);
    printf("%d",med);
    return 0;
}